package modules.temp;

import com.one.Application;
import com.one.ErrScreen;
import com.one.ModuleRegistry;
import com.one.PlayList;
import com.vmx.Locale;
import filemanager.TemplateManager;
import filemanager.main;
import javax.microedition.lcdui.AlertType;

public class TMSModule implements Application
{
	public void openFile(String filename, PlayList filelist)
	{
		try
		{
			TemplateManager.importTemplates(filename);
			main.showMessage(Locale.getString(this, Locale.DONE), Locale.getString(this, Locale.OPERATION_OK), AlertType.INFO, 1500, main.FileSelect);
		}
		catch(Exception e)
		{
			ErrScreen.showErrMsg(ModuleRegistry.getErrCode(getClass().getName()), e);
		}
	}
}
